Package org.jboss.logmanager.handlers

## Class UdpOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.logmanager.handlers.UdpOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`, `FlushableCloseable`

    public class UdpOutputStream
    extends java.io.OutputStream
    implements FlushableCloseable

An output stream that writes data to a `DatagramSocket`.

Author:
  James R. Perkins

### Constructor Summary

Constructors
`UdpOutputStream​(java.net.InetAddress address, int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `write​(byte[] b)`
`void` `write​(byte[] b, int off, int len)`
`void` `write​(int b)`

### Methods inherited from interface java.io.Flushable

`flush`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class java.io.OutputStream

`flush`

### Constructor Detail

#### UdpOutputStream

    public UdpOutputStream​(java.net.InetAddress address,
                           int port)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### write

    public void write​(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write​(byte[] b)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write​(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`